<?php
header("content-type:text/html; charset=utf-8");
//获取更新提示
/* $timeout=array( 
'http'=>array( 
'timeout'=>10//设置一个超时时间，单位为秒 
) 
); 
$ctx=stream_context_create($timeout); 
echo '' . file_get_contents('http://www.zcncms.com/notice.php',0,$ctx); */

$str=@file_get_contents('http://www.zcncms.com/notice.php');
if(!strCheck($str)){
exit;
}
if($str ===FALSE){

}else {
echo $str;
}

function strCheck($str){
	$S_key=array('|','*',',','~',':','$',"`","^","\{");
	foreach($S_key as $value){
		if (strpos($str,$value)!==false){ 
			return false;
		}
	}
	return true;
}
?>